LURKER-SEARCH(1)

NAME
lurker-search — searches for messages in a lurker database

SYNOPSIS

lurker-search [-c <config-file>] [-k <keyword>] [-d -f -i -v -q] [<terms>*]

DESCRIPTION

lurker-search searches a lurker database the same way as the web interface. It can output summary information and delete messages.

OPTIONS

-c config-file
    Use this config file for lurker settings.

-k keyword
    Tag the matching messages with this keyword.

-d  Delete the messages found by this search

-f  Don't prompt before deleting

-i  Command line paramers are not search terms, but message IDs.

-v  Output message summary information

-q  Don't output message ids or status

SEARCH TERMS

Lurker-search accepts these keywords for searching:

-xxx
    select messages which do NOT match this term

id:xxx
    select a message by the Message-ID field

rt:xxx
    select messages which reply to the chosen Message-ID

th:xxx
    select messages included in this thread

ml:xxx
    select messages in this mailing list

gr:xxx
    select messages in this mailing list group

au:xxx
    select messages with this term in the author fields

sb:xxx
    select messages with this word in the subject

lang:xxx
    select messages in this language

SEE ALSO

lurker-index(1), lurker-prune(1), lurker-params(1), lurker-list(1)

lurker documentation on http://lurker.sourceforge.net/

COPYRIGHT

Copyright (C) 2002: Wesley W. Terpstra <terpstra@users.sourceforge.net>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; version 2.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

BUGS

Before reporting a bug, please confirm that the bug you found is still present in the latest official release. If the problem persists, then send mail with instructions describing how to reproduce the bug to <lurker-users@lists.sourceforge.net>.